SC_FIND_PKCS15_APP(3)

NAME
sc_find_pkcs15_app - Find a PKCS#15 application on a card

SYNOPSIS

    #include <opensc.h>
    const sc_app_info_t *sc_find_pkcs15_app(sc_card_t *card);

DESCRIPTION

This function attempts to find a PKCS#15 application on card. Currently, this means either a standard PKCS#15 implementation or a Belgian eID.

Before calling this function, you MUST call sc_enum_apps() first.

RETURN VALUE

Returns a sc_app_info_t structure describing the PKCS#15 application, or NULL if none was found.